﻿Imports System.Collections.ObjectModel

' NOTE: You can use the "Rename" command on the context menu to change the interface name "IService1" in both code and config file together.
<ServiceContract()>
Public Interface IPeopleService

    <OperationContract()> _
    Function GetData(ByVal startRow As Integer, ByVal endRow As Integer) As ObservableCollection(Of PeopleClass)
End Interface

' Use a data contract as illustrated in the sample below to add composite types to service operations

<DataContract()> _
Public Class PeopleClass
    Private _firstName As String
    <DataMember()> _
    Public Property FirstName() As String
        Get
            Return _firstName
        End Get
        Set(value As String)
            _firstName = value
        End Set
    End Property
    Private _lastName As String
    <DataMember()> _
    Public Property LastName() As String
        Get
            Return _lastName
        End Get
        Set(value As String)
            _lastName = value
        End Set
    End Property
    Private _age As Integer
    <DataMember()> _
    Public Property Age() As Integer
        Get
            Return _age
        End Get
        Set(value As Integer)
            _age = value
        End Set
    End Property
    Private _city As String
    <DataMember()> _
    Public Property City() As String
        Get
            Return _city
        End Get
        Set(value As String)
            _city = value
        End Set
    End Property
End Class
